from typing import List
import db
import ghidra.util.database
import java.lang
import java.nio


class DBCachedObjectStoreFactory(object):





    class StringDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: unicode, __a1: db.StringField) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class EnumDBByteFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: java.lang.Enum, __a1: db.ByteField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class AbstractDBFieldCodec(object, ghidra.util.database.DBCachedObjectStoreFactory.DBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.Class, __a2: java.lang.Class, __a3: java.lang.reflect.Field, __a4: int): ...



        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...

        @property
        def fieldType(self) -> java.lang.Class: ...

        @property
        def objectType(self) -> java.lang.Class: ...

        @property
        def valueType(self) -> java.lang.Class: ...




    class ByteDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: int, __a1: db.ByteField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class ShortDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: int, __a1: db.ShortField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class ByteArrayDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: List[int], __a1: db.BinaryField) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class DBFieldCodec(object):








        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...

        @property
        def fieldType(self) -> java.lang.Class: ...

        @property
        def objectType(self) -> java.lang.Class: ...

        @property
        def valueType(self) -> java.lang.Class: ...




    class IntDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: int, __a1: db.IntField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class VariantDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.BinaryField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class PrimitiveCodec(object):
        BOOL: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@4416444b
        BOOL_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@6ba07aa9
        BYTE: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@5d6b6cb
        BYTE_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$2@7a4912d
        CHAR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@5bf0e9f8
        CHAR_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@7a21ea0a
        CODECS_BY_CLASS: java.util.Map = {<type 'java.lang.Byte'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@5d6b6cb, <type '[Ljava.lang.String;'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayObjectCodec@256b35d1, <type 'java.lang.Boolean'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@4416444b, <type 'java.lang.Integer'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@382f2b22, <type '[J'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@60f277f6, <type '[C'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@7a21ea0a, <type '[I'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@486c6d34, <type '[S'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@18b9aaa0, <type 'java.lang.String'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$1@471df56a, <type '[Z'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@6ba07aa9, <type 'java.lang.Long'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@70688812, <type 'java.lang.Short'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@2c8b0b52, <type 'java.lang.Character'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@5bf0e9f8, <type '[B'>: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$2@7a4912d}
        CODECS_BY_SELECTOR: java.util.Map = {0: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@4416444b, 1: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@5d6b6cb, 2: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@5bf0e9f8, 3: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@2c8b0b52, 4: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@382f2b22, 5: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@70688812, 6: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$1@471df56a, 7: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@6ba07aa9, 8: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$2@7a4912d, 9: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@7a21ea0a, 10: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@18b9aaa0, 11: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@486c6d34, 12: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@60f277f6, 14: ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayObjectCodec@256b35d1}
        INT: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@382f2b22
        INT_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@486c6d34
        LONG: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@70688812
        LONG_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@60f277f6
        SHORT: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$SimplePrimitiveCodec@2c8b0b52
        SHORT_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayPrimitiveCodec@18b9aaa0
        STRING: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$1@471df56a
        STRING_ARR: ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec = ghidra.util.database.DBCachedObjectStoreFactory$PrimitiveCodec$ArrayObjectCodec@256b35d1







        def decode(self, __a0: java.nio.ByteBuffer) -> object: ...

        def encode(self, __a0: java.nio.ByteBuffer, __a1: object) -> None: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        @overload
        @staticmethod
        def getCodec(__a0: int) -> ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec: ...

        @overload
        @staticmethod
        def getCodec(__a0: java.lang.Class) -> ghidra.util.database.DBCachedObjectStoreFactory.PrimitiveCodec: ...

        def getSelector(self) -> int: ...

        def getValueClass(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...

        @property
        def selector(self) -> int: ...

        @property
        def valueClass(self) -> java.lang.Class: ...




    class BooleanDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: bool, __a1: db.BooleanField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class LongDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def doLoad(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def doStore(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: long, __a1: db.LongField) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...






    class LongArrayDBFieldCodec(ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec):




        def __init__(self, __a0: java.lang.Class, __a1: java.lang.reflect.Field, __a2: int): ...



        def encodeField(self, __a0: object) -> db.Field: ...

        def equals(self, __a0: object) -> bool: ...

        def getClass(self) -> java.lang.Class: ...

        def getFieldType(self) -> java.lang.Class: ...

        def getObjectType(self) -> java.lang.Class: ...

        def getValue(self, __a0: ghidra.util.database.DBAnnotatedObject) -> object: ...

        def getValueType(self) -> java.lang.Class: ...

        def hashCode(self) -> int: ...

        def load(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        def notify(self) -> None: ...

        def notifyAll(self) -> None: ...

        @overload
        def store(self, __a0: List[long], __a1: db.BinaryField) -> None: ...

        @overload
        def store(self, __a0: ghidra.util.database.DBAnnotatedObject, __a1: db.DBRecord) -> None: ...

        @overload
        def store(self, __a0: object, __a1: db.Field) -> None: ...

        def toString(self) -> unicode: ...

        @overload
        def wait(self) -> None: ...

        @overload
        def wait(self, __a0: long) -> None: ...

        @overload
        def wait(self, __a0: long, __a1: int) -> None: ...



    def __init__(self, __a0: ghidra.util.database.DBCachedDomainObjectAdapter): ...



    def equals(self, __a0: object) -> bool: ...

    def getClass(self) -> java.lang.Class: ...

    def getOrCreateCachedStore(self, __a0: unicode, __a1: java.lang.Class, __a2: ghidra.util.database.DBAnnotatedObjectFactory, __a3: bool) -> ghidra.util.database.DBCachedObjectStore: ...

    def getOrCreateTable(self, __a0: unicode, __a1: java.lang.Class, __a2: bool) -> db.Table: ...

    def hashCode(self) -> int: ...

    def notify(self) -> None: ...

    def notifyAll(self) -> None: ...

    def toString(self) -> unicode: ...

    @overload
    def wait(self) -> None: ...

    @overload
    def wait(self, __a0: long) -> None: ...

    @overload
    def wait(self, __a0: long, __a1: int) -> None: ...

